import ApiModel from "~/models/ApiModel";
import {Attr, Str, Uid} from "pinia-orm/dist/decorators";

/**
 * AP2i Model : Tagg
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Core/Tagg.php
 */
export default class Tagg extends ApiModel {
    static entity = 'taggs'

    @Uid()
    declare id: number | string | null

    @Str('')
    declare label: string

    @Attr([])
    declare organization: []
}
